Package org.eclipse.equinox.plurl

# Interface PlurlStreamHandler.PlurlSetter

Enclosing interface:
  `PlurlStreamHandler`

public static interface PlurlStreamHandler.PlurlSetter
Interface used by `PlurlStreamHandler` objects to call the `setURL` method on the plurl proxy `URLStreamHandler` object.

Objects of this type are passed to the `PlurlStreamHandler.parseURL(PlurlSetter, URL, String, int, int)` method. Invoking the `setURL` method on the `URLStreamHandlerSetter` object will invoke the `setURL` method on the plurl proxy `URLStreamHandler` object that is actually registered with `java.net.URL` for the protocol.

## Method Summary

Modifier and Type
Method
Description
`void`
`setURL(URL u, String protocol, String host, int port, String authority, String userInfo, String path, String query, String ref)`

## Method Details

### setURL

void setURL(URL u, String protocol, String host, int port, String authority, String userInfo, String path, String query, String ref)

See Also:
  - "java.net.URLStreamHandler.setURL(URL,String,String,int,String,String,String,String)"